Name:    kamera
Summary: Digital camera support for KDE 
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2
URL:     https://www.kde.org/applications/graphics/
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/kamera-%{version}.tar.xz

BuildRequires: extra-cmake-modules
BuildRequires: kf5-kcmutils-devel
BuildRequires: kf5-kconfig-devel
BuildRequires: kf5-kconfigwidgets-devel
BuildRequires: kf5-kdoctools-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kio-devel
BuildRequires: kf5-kxmlgui-devel
BuildRequires: kf5-rpm-macros
BuildRequires: pkgconfig(libgphoto2)
BuildRequires: cmake(Qt5Core)

Conflicts: kdegraphics < 7:4.6.95-10

Conflicts: kde-l10n < 17.03

Requires: kde-cli-tools

%description
%{summary}.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html


%files -f %{name}.lang
%doc AUTHORS README
%{_kf5_datadir}/applications/kcm_%{name}.desktop
%{_kf5_datadir}/solid/actions/solid_camera.desktop
%{_kf5_datadir}/qlogging-categories5/%{name}.categories
%{_kf5_libdir}/qt5/plugins/plasma/kcms/systemsettings_qwidgets/kcm_%{name}.so
%{_kf5_metainfodir}/org.kde.%{name}.metainfo.xml
%{_kf5_plugindir}/kio/kio_%{name}.so


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
